tbb::flow::interface11::opencl_info Namespace Reference

## Classes

struct | default_device_selector
struct | default_device_filter
class | default_opencl_factory

## Functions

const opencl_device_list & | available_devices ()
default_opencl_factory & | default_factory ()

## Function Documentation

## available_devices()

const opencl_device_list& tbb::flow::interface11::opencl_info::available_devices | ( |  | ) |

inline

Definition at line 337 of file flow_graph_opencl_node.h.

{
// Static storage for all available OpenCL devices on machine
static const opencl_device_list my_devices = internal::find_available_devices();
return my_devices;
}
tbb::flow::interface11::internal::find_available_devices
opencl_device_list find_available_devices()
Definition: flow_graph_opencl_node.h:294

References tbb::flow::interface11::internal::find_available_devices().

Referenced by tbb::flow::interface11::opencl_factory< DeviceFilter >::init_once().

Here is the call graph for this function:
Here is the caller graph for this function:

## default_factory()

default_opencl_factory& tbb::flow::interface11::opencl_info::default_factory | ( |  | ) |

inline

Definition at line 1217 of file flow_graph_opencl_node.h.

{
static default_opencl_factory default_factory;
return default_factory;
}
tbb::flow::interface11::opencl_info::default_factory
default_opencl_factory & default_factory()
Definition: flow_graph_opencl_node.h:1217

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.